[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'go32' (#rtl)

# create_code_segment_alias_descriptor

Create new descriptor from existing descriptor

## Declaration

Source position: go32.pp line 88

`function create_code_segment_alias_descriptor(`
`seg: Word`
`):Word;`

## Description

Creates a new descriptor that has the same base and limit as the specified descriptor.

Parameters:

seg
  Descriptor.

Return values: The data selector (alias).

Notes: In effect, the function returns a copy of the descriptor. The descriptor alias returned by this function will not track changes to the original descriptor. In other words, if an alias is created with this function, and the base or limit of the original segment is then changed, the two descriptors will no longer map the same memory.

## Errors

Check the int31error variable.

## See also

allocate_ldt_descriptors |  | Allocate a number of descriptors
set_segment_limit |  | Set descriptor limit
set_segment_base_address |  | Set descriptor's base address

Documentation generated on: Feb 26 2014